@echo off

if "%1"=="" goto useage
if "%2"=="" goto useage

if not exist %1\bin\nul goto err1 
if not exist %2\system\nul goto err2

echo.
echo Upgrading PC-NFSpro files . . . 
echo.

probin -d -o %1\bin

prowin -d -o %2\system

echo.
echo.
echo Upgrade complete.

goto end

:err1
echo Error - there is no "bin" subdirectory under the PC-NFSpro 
echo %1 directory. PC-NFSpro cannot function properly in this 
echo installation.
goto useage

:err2 
echo Error - there is no "system" subdirectory under the Windows
echo %2 directory. Windows cannot function properly in this
echo installation.

:useage
echo.
echo useage: "upgrade dir1 dir2" 
echo.
echo Where "dir1" is the root directory of the PC-NFSpro installation 
echo (usually \PCNFSPRO); and "dir2" is the root directory of the
echo Microsoft Windows installation (usually \WINDOWS). If installing
echo.from a network drive you may have to disable share.exe.
echo
echo Determine the correct directories on your system and run this utility
echo again.
echo.

:end




































